Bug 505346 - post-rpm install of packages, preupgrade is way slow
post-rpm install of packages, preupgrade is way slow
Status: CLOSED DUPLICATE of bug 493249
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 11:05 EDT by Máirín Duffy
Modified: 2014-01-21 18:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 09:43:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2009-06-11 11:05:32 EDT
Description of problem:

Preupgrade is awesome. It let me upgrade from F10 to F11 with minimal hassle!

However, it took 3 hours. Which is fine, except for the last 45 minutes. It spent 45 minutes on the final screen of anaconda, after all the packages had installed (1636 of them)... it just had one of those cylon-eyes/pong-like unbounded progress bar things saying 'this will take a little while'. Well, 45 minutes != little while. I looked across all of the ttys and tried to strace what it was doing. It was definitely wildly writing to disk but what exactly I couldn't tell. 

I was patient and was rewarded with a thankfully functional system but I worry with such a long wait and with the dialog saying 'just a little while' people are going to either give up or thing something's gone horribly wrong (as I did) and not be sure what to do. I've talked to another Fedora user who just gave up after 10 minutes and the system seemed to boot fine after that. 

So why does it take 45 minutes and what exactly is it doing? Is there any way we can give users better feedback than a useless unbounded progress bar saying 'just a little while' ?
Comment 1 Bug Zapper 2009-11-18 07:05:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Máirín Duffy 2009-11-18 09:32:48 EST
I believe this is a usability bug in preupgrade that is still the case for F11 so I am moving this bug to F11.
Comment 3 seth vidal 2009-11-18 09:39:52 EST
Mo, it's not a preupgrade bug at all


"It spent 45 minutes on the final screen of anaconda"

The user is complaining about the post transaction 'cleanup' steps that don't return any progress information in anaconda.
Comment 4 Chris Lumens 2009-11-18 09:43:36 EST

*** This bug has been marked as a duplicate of bug 493249 ***
Comment 5 Máirín Duffy 2009-11-18 09:45:43 EST
okay, i had no idea if it was preupgrade or not. i guess this bug never got triaged when i originally filed it almost 6 months ago.

Note You need to log in before you can comment on or make changes to this bug.